Subject: getting procmail and mutt to work together
From: Jason House <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 29 May 2002 19:42:48 -0400

I am not using a .muttrc file
When I initially ran mutt it successfully opened a folder with test
messages  in it.  After I made procmail deliver the mail to the folder I
wanted it to go into, mutt stopped working.

I was getting no error messages (and simply no mail listed), but now I'm
getting the message: "/var/spool/mail/Administrator is not a mailbox."

Hitting 'c' and choosing
"/cygdrive/c/Docume~1/jhouse/MyDocu~1/UnixHome/Mail/inbox' doesn't work
either.  Complains that it also is not a mailbox.

Any suggestions on how to fix this?  (Asside from putting my mail where
I don't want it to go?)

####################################################
I have customized the environment a bit...
HOME=/cygdrive/c/Docume~1/jhouse/MyDocu~1/UnixHome

####################################################
My /cygdrive/c/Docume~1/jhouse/MyDocu~1/UnixHome/.fetchmailrc file

set logfile /var/log/fetchmail.log
set invisible
set no bouncemail

poll "mail.mitre.org"
protocol pop3
username "jhouse"
password "**********"
fetchall
nokeep
mda "/usr/bin/procmail -m .procmailrc -d Administrator"

####################################################
My /cygdrive/c/Docume~1/jhouse/MyDocu~1/UnixHome/.procmailrc file

CORRECTHOME=/cygdrive/c/Docume~1/jhouse/MyDocu~1/UnixHome
MAILDIR=$CORRECTHOME/Mail
DEFAULT=$MAILDIR/inbox
PMDIR=$HOME/.procmail
LOGFILE=$PMDIR/log
VERBOSE=on

:0
$DEFAULT

######################################################
My /cygdrive/c/Docume~1/jhouse/MyDocu~1/UnixHome/Mail/inbox file

Return-Path: <[email-masked]>
...(I cut out a few lines to suppress network internals.)
Message-ID: <[email-masked]>
Date: Wed, 29 May 2002 18:57:02 -0400
From: Jason House <[email-masked]>
Organization: The MITRE Corporation
X-Mailer: Mozilla 4.76 [en]C-20010313M  (Windows NT 5.0; U)
X-Accept-Language: en
MIME-Version: 1.0
To: "House,Jason J." <[email-masked]>
Subject: foo
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

bar

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/